Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
steam taskbar icon doesn't work [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 224

PostPosted: Tue May 30, 2017 4:03 pm    Post subject: steam taskbar icon doesn't work [solved] Reply with quote

I use plasma 5.8.6 and beta release of steam.
The icon in the taskbar appears when starting steam, but it's unusable for me.
When I click on It, it doesn't show the menu to jump to the shop, or the library, or end steam etc. , other standard icons from plasma (KDE) in the taskbar are working without any issues.

there is a thread where they suggest to install libdbusmenu
(dev-libs/libdbusmenu), i compiled it with the gtk and gtk3 useflag but it still doesn't work for me.

https://github.com/ValveSoftware/steam-for-linux/issues/4795

I have installed steam from steam-overlay

maybe someone here had the same issue and solved it, help is apreciated, thank you.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...


Last edited by Linubie on Sat Jun 10, 2017 11:53 am; edited 3 times in total
Back to top
View user's profile Send private message
mega_flow
n00b
n00b


Joined: 26 Jun 2016
Posts: 13

PostPosted: Tue May 30, 2017 8:02 pm    Post subject: Reply with quote

dit u build dev-libs/libdbusmenu with ABI_X86="32"
steam still need 32 libs
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 224

PostPosted: Wed May 31, 2017 5:45 am    Post subject: Reply with quote

Thank you, it works now.
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 224

PostPosted: Fri Jun 02, 2017 2:02 pm    Post subject: Reply with quote

I have a conflict now:
Code:

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

dev-libs/json-glib:0

  (dev-libs/json-glib-1.2.8:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=dev-libs/json-glib-0.13.4[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/libdbusmenu-12.10.2-r2:0/0::gentoo, installed)
                                                           

dev-libs/dbus-glib:0

  (dev-libs/dbus-glib-0.102:0/0::gentoo, ebuild scheduled for merge) conflicts with
    >=dev-libs/dbus-glib-0.100[abi_x86_32(-),abi_x86_64(-)] required by (dev-libs/libdbusmenu-12.10.2-r2:0/0::gentoo, installed)
                                                           

_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Linubie
Apprentice
Apprentice


Joined: 11 Jun 2004
Posts: 224

PostPosted: Sat Jun 10, 2017 11:52 am    Post subject: Reply with quote

solved by setting:
Code:

dev-libs/libdbusmenu abi_x86_32
dev-libs/dbus-glib abi_x86_32
dev-libs/json-glib abi_x86_32


in package.use
_________________
Mircosoft software is like having sex with a stranger, you always have to be careful not to get infected with something...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum